#include <stdint.h>
#include <isr.h>
#include <tty.hpp>

extern "C" void isrHandler(Registers regs);

void isrHandler(Registers regs)
{
	switchToTTY(0);
	
	tty << "Unhandled interrupt: " << regs.interruptNum;
	
	if(regs.errorCode != 0)
		tty << "\nError code: " << regs.errorCode;
	
	tty << "\n";
}